# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-anykeystore
%global modname anykeystore

Name:           python-module-anykeystore
Version:        0.2
Release:        alt1_4
Summary:        A key-value store supporting multiple backends

Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/%{modname}
Source0:        http://pypi.python.org/packages/source/a/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-unittest2
BuildRequires:  python-module-mock

# Optional backends for the tests
BuildRequires:  python-module-SQLAlchemy
BuildRequires:  python-module-pymongo
BuildRequires:  python-module-redis-py
BuildRequires:  python-module-memcached
Source44: import.info


%description
A generic interface wrapping multiple different backends to provide a
consistent key-value storage API. This library is intended to be used by
other libraries that require some form of generic storage.

%prep
%setup -q -n %{modname}-%{version}

%if %{?rhel}%{!?rhel:0} >= 6
rm -rf %{modname}/tests/integration/tests.py
%endif


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python} setup.py test


%files
%doc README.rst LICENSE.txt
%{python_sitelibdir_noarch}/%{modname}
%{python_sitelibdir_noarch}/%{modname}-%{version}*



%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_4
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_2
- initial fc import

